import request from '@/utils/request'

// 查询app轮播图列表
export function listSwiper(query) {
  return request({
    url: '/system/appSwiper/list',
    method: 'get',
    params: query
  })
}

// 查询app轮播图详细
export function getSwiper(swiperId) {
  return request({
    url: '/system/appSwiper/' + swiperId,
    method: 'get'
  })
}

// 新增app轮播图
export function addSwiper(data) {
  return request({
    url: '/system/appSwiper/add',
    method: 'post',
    data: data
  })
}

// 修改app轮播图
export function updateSwiper(data) {
  return request({
    url: '/system/appSwiper/edit',
    method: 'post',
    data: data
  })
}

// 删除app轮播图
export function delSwiper(swiperId) {
  return request({
    url: '/system/appSwiper/del?idList=' + swiperId,
    method: 'post'
  })
}
